extends KinematicBody2D


var velocity = Vector2.ZERO
const MOVE_SPEED = 140
const GRAVITY = 1200
const JUMP_HEIGHT = 300
const UP_DIRECTION = Vector2.UP

var cam = 0

func _input(event):
	if event.is_action_pressed("ui_up") and is_on_floor():
		velocity.y = -JUMP_HEIGHT
	if event.is_action_pressed("ui_cancel"):
		OS.window_fullscreen = ! OS.window_fullscreen
		OS.center_window()
	if event.is_action_pressed("ui_accept"):
		if cam == 0:
			cam = 1
			get_node("../Camera2D_manual/").make_current()
		else:
			cam = 0
			get_node("Camera2D").make_current()
		
		


func _physics_process(delta):
	var x_input = Input.get_action_strength("ui_right") - Input.get_action_strength("ui_left")
	velocity.x = x_input * MOVE_SPEED
	velocity.y += GRAVITY * delta
	velocity = move_and_slide(velocity, UP_DIRECTION)
